# File_Lock.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/File_Lock.inl"`

Include dependency graph for File_Lock.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_File_Lock
| A wrapper around the UNIX file locking mechanism. More...

## Detailed Description

Id
  File_Lock.h,v 4.10 2006/02/10 09:53:14 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>